Page MenuHomePhabricator

Automatically open the panel "More details" at high resolutions
Closed, ResolvedPublic

Description

Panel "More details" may be useful for most users as a replacement GeoHack. At higher resolutions (1000 pixels or higher), it takes up little screen space, so when you open it automatically display card will not be worse.

The problem can only be the difficulty of closing a map with the panel open: T155350

Event Timeline

putnik created this task.Jan 15 2017, 3:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2017, 3:26 PM

Change 338305 had a related patch set uploaded (by JGirault):
Open the sidebar "More details" by default at high resolutions

https://gerrit.wikimedia.org/r/338305

JGirault moved this task from Backlog to Needs review on the Maps-Sprint board.Feb 17 2017, 1:34 AM
JGirault claimed this task.
JGirault added a subscriber: Yurik.Feb 17 2017, 3:47 AM

Proposed behavior (suggested by @Yurik, thanks!) is as follow:

  • [NEW] Anytime the map is rendered full screen, a vertical offset is applied to the map center to take the dialog footer into account.

Now depending on the sidebar display status:

  • [NEW] When the dialog opens, if screen > 1024px , the sidebar is now displayed by default, and the map is centered accordingly (with an offset to the initial center to push the center to the left)
  • When the dialog opens, if screen <= 1024px , the sidebar is still hidden, and the map is centered to the screen (without the horizontal offset).
  • [NEW] When the dialog is already opened (change route via URL), if screen > 1024px AND the sidebar is visible, the map is centered accordingly (with an offset to the initial center to push the center to the left).
  • When the dialog is already opened (change route via URL), AND the sidebar is hidden, the map is centered to the screen (without the horizontal offset) regardless of screen size.

Not sure this is clear enough, but at least I tried :)

Yurik added a comment.Feb 17 2017, 4:26 AM

@JGirault, looks awesome, thanks!

Change 338305 merged by jenkins-bot:
Open the sidebar "More details" by default at high resolutions

https://gerrit.wikimedia.org/r/338305

JGirault moved this task from Needs review to Done on the Maps-Sprint board.Feb 17 2017, 6:32 PM
JGirault closed this task as Resolved.Apr 17 2017, 7:34 PM